Variants Genomic Elements
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/genomic-elementsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/genomic-elements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/genomic-elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"variant": {
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>",
"ca_id": "<string>",
"_id": "<string>"
},
"name": "<string>",
"label": "<string>",
"method": "<string>",
"class": "<string>",
"log2FC": 123,
"neg_log10_pvalue": 123,
"beta": 123,
"files_filesets": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"source": "<string>",
"source_url": "<string>",
"genomic_element": {
"_id": "<string>",
"name": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"type": "<string>",
"source": "<string>",
"source_url": "<string>",
"source_annotation": "<string>"
}
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Variants Genomic Elements
Retrieve genomic elements associated with a given variant.
Example: variant_id = NC_000001.11:976214:A:G,
hgvs = NC_000001.11:g.976215A>G,
spdi = NC_000001.11:976214:A:G,
rsid = rs7417106,
ca_id = CA507079,
region = chr1:766254-766554,
biosample_term = EFO_0002067,
biological_context = K562,
method = caQTL,
files_fileset = ENCFF103XRK,
The limit parameter controls the page size and can not exceed 300.
Pagination is 0-based.
Variants Genomic Elements
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/genomic-elementsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/genomic-elements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/genomic-elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"variant": {
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>",
"ca_id": "<string>",
"_id": "<string>"
},
"name": "<string>",
"label": "<string>",
"method": "<string>",
"class": "<string>",
"log2FC": 123,
"neg_log10_pvalue": 123,
"beta": 123,
"files_filesets": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"source": "<string>",
"source_url": "<string>",
"genomic_element": {
"_id": "<string>",
"name": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"type": "<string>",
"source": "<string>",
"source_url": "<string>",
"source_annotation": "<string>"
}
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
caQTL Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes